wdjh.net
当前位置:首页 >> SElEnium IDE在FirEFox录制的脚本,然后能拿到IE上... >>

SElEnium IDE在FirEFox录制的脚本,然后能拿到IE上...

您好!很高兴为您答疑! 可以的,需要修改火狐驱动为IE,用WebDriver driver = new InternetExplorerDriver()替换WebDriver driver = new FirefoxDriver(); 您可以在火狐社区了解更多内容。希望我的回答对您有所帮助,如有疑问,欢迎继续在本平...

你这种情况可能的原因有2个: 1、你使用的是64位系统,而你用来生产脚本的浏览器是32位的,导致兼容性有问题。建议你如果是64位系统,那你除了服务器调用随便,eclipse和所有的测试素材都统一位数版本。 2、你没说你生成的脚本firefox可用不,我...

就之前使用的经验来看,因为浏览器的driver不一样,所以录制的脚本都不通用。 所以建议更换浏览器驱动并重新录制。

Selenium也是一个用于Web应用程序测试的工具。Selenium测试直接运行在浏览器中,就像真正的用户在操作一样。支持的浏览器包括IE(7、8、9)、Mozilla Firefox、Mozilla Suite、Google Chrome等。现在selenium包含webdriver(收购的)和Selenium I...

录制完了直接把webdriver改为IE的就可在IE上用了啊,不过要在IE上用之前要先设置IE,具体方法可以再网上搜一下

请仔细查看报错信息,信息已经说了网页上没有这个元素,我个人建议你换一个比较明显的元素试试。

新版火狐可能会有类似的情况,建议使用49及以前的版本,可以确定是正常的,如果还有问题,就是配置参数的错误造成的了。

最好把主要代码、错误提示完整信息附上来,不然很难帮你解决,如运行到哪里出错,错误提示有没有百度过是什么情况下出的,在IE下有什么特殊的不同之处,便于自己排查问题

自己添加的命令是正确的吗?eclipse相应的包导进来了吗?selenium1还是selenium2?

网站首页 | 网站地图
All rights reserved Powered by www.wdjh.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com